> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supertoneapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get custom voice

> ID로 단일 커스텀(클론드) 보이스를 조회합니다.

<Note>
  이 문서는 영어 원문을 기반으로 자동 번역되었습니다. 표현이 어색하거나 모호한 부분이 있을 수 있으니, 정확한 내용은 [영어 원문](/en/api-reference/endpoints/get-custom-voice)을 함께 확인해 주세요.
</Note>

계정이 소유한 단일 커스텀 보이스 객체를 반환합니다.

## 엔드포인트

```http theme={"dark"}
GET https://supertoneapi.com/v1/custom-voices/{voice_id}
```

## 경로 파라미터

| Name       | Required | Description     |
| ---------- | :------: | --------------- |
| `voice_id` |     ✅    | 커스텀 보이스의 ID입니다. |

## 참고사항

* `voice_id`가 계정에 존재하지 않으면 `404 Not Found`를 반환합니다.
* 보이스가 존재하지만 다른 계정에 속한 경우 `403 Forbidden`을 반환합니다.

## 함께 보기

<CardGroup cols={2}>
  <Card title="Docs: Custom voices" icon="microphone" href="/ko/docs/core-concepts/custom-voices">
    클론드 보이스의 생성, 관리, 사용 방법입니다.
  </Card>

  <Card title="Edit custom voice" icon="pen" href="/ko/api-reference/endpoints/edit-custom-voice">
    이름 또는 설명을 업데이트합니다.
  </Card>
</CardGroup>


## OpenAPI

````yaml /openapi.json get /v1/custom-voices/{voice_id}
openapi: 3.0.0
info:
  title: Supertone Public API
  description: >-
    Supertone API is a RESTful API for using our state-of-the-art AI voice
    models.
  version: 0.9.6
  contact: {}
servers:
  - url: https://supertoneapi.com
    description: Production
security: []
tags:
  - name: voices
    description: Voice Library API endpoints
  - name: custom_voices
    description: Custom Voice Management API endpoints
  - name: text_to_speech
    description: Text-to-Speech API endpoints
  - name: usage
    description: Usage Analytics API endpoints
paths:
  /v1/custom-voices/{voice_id}:
    get:
      tags:
        - custom_voices
      summary: Get single cloned voice
      description: Gets details of a specific custom (cloned) voice by ID.
      operationId: get_custom_voice
      parameters:
        - name: voice_id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Custom voice details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCustomVoiceResponse'
        '401':
          description: 'Unauthorized: Invalid API key'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedErrorResponse'
        '404':
          description: 'Not Found: Voice does not exist'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundErrorResponse'
        '500':
          description: 'Internal Server Error: Failed to get cloned voice'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
      security:
        - api-key: []
components:
  schemas:
    GetCustomVoiceResponse:
      type: object
      properties:
        voice_id:
          type: string
          description: Unique identifier for the voice
          example: voice_123456789
        name:
          type: string
          description: Name of the voice
          example: My Custom Voice
        description:
          type: string
          description: Description of the voice
          example: A warm and friendly voice for customer service
          nullable: true
      required:
        - voice_id
        - name
    UnauthorizedErrorResponse:
      type: object
      properties:
        status:
          type: string
          description: Response status
          example: error
        message:
          description: Unauthorized error details
          example:
            message: Invalid API Key
            error: Unauthorized
            statusCode: 401
          allOf:
            - $ref: '#/components/schemas/ErrorMessageData'
      required:
        - status
        - message
    NotFoundErrorResponse:
      type: object
      properties:
        status:
          type: string
          description: Response status
          example: error
        message:
          description: Not found error details
          example:
            message: Voice not found
            error: Not Found
            statusCode: 404
          allOf:
            - $ref: '#/components/schemas/ErrorMessageData'
      required:
        - status
        - message
    InternalServerErrorResponse:
      type: object
      properties:
        status:
          type: string
          description: Response status
          example: error
        message:
          description: Internal server error details
          example:
            message: Failed to convert text to speech
            error: Internal Server Error
            statusCode: 500
          allOf:
            - $ref: '#/components/schemas/ErrorMessageData'
      required:
        - status
        - message
    ErrorMessageData:
      type: object
      properties:
        message:
          type: string
          description: Error message
          example: Invalid API Key
        error:
          type: string
          description: Error type
          example: Unauthorized
        status_code:
          type: number
          description: HTTP status code
          example: 401
      required:
        - message
        - error
        - status_code
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: x-sup-api-key

````